/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package delahayeyourself.hellocounter.gui;

import delahayeyourself.hellocounter.utils.Counter;

/**
 *
 * @author sam
 */
public class CounterPanel extends javax.swing.JPanel {

    private Counter counter;
    /**
     * Creates new form CounterPanel
     */
    public CounterPanel() {
        initComponents();
        counter = new Counter();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        totalLabel = new javax.swing.JLabel();
        clickMeButton = new javax.swing.JButton();

        jLabel1.setFont(new java.awt.Font("Dimitri", 0, 24)); // NOI18N
        jLabel1.setText("Total:");

        totalLabel.setFont(new java.awt.Font("Dimitri Swank", 0, 36)); // NOI18N
        totalLabel.setText("0");

        clickMeButton.setFont(new java.awt.Font("Dimitri", 0, 24)); // NOI18N
        clickMeButton.setText("Click me !");
        clickMeButton.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                clickMeButtonMouseClicked(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(132, 132, 132)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel1)
                            .addGroup(layout.createSequentialGroup()
                                .addGap(26, 26, 26)
                                .addComponent(totalLabel))))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(98, 98, 98)
                        .addComponent(clickMeButton)))
                .addContainerGap(156, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(22, 22, 22)
                .addComponent(jLabel1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(totalLabel)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(clickMeButton)
                .addContainerGap(160, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents

    private void clickMeButtonMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_clickMeButtonMouseClicked
        this.counter.increment();
        this.totalLabel.setText(String.format("%s", this.counter.getCounter()));
    }//GEN-LAST:event_clickMeButtonMouseClicked


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton clickMeButton;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel totalLabel;
    // End of variables declaration//GEN-END:variables
}
